Package org.zkoss.stateless.sul

## Enum ITabbox.Orient

- java.lang.Object
- - java.lang.Enum<ITabbox.Orient>
  - - org.zkoss.stateless.sul.ITabbox.Orient

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ITabbox.Orient>`
  Enclosing interface:
    ITabbox

      public static enum ITabbox.Orient
      extends java.lang.Enum<ITabbox.Orient>

  Specifies the orient of tabs' position to this tabbox.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM` | Bottom orient.
    `LEFT` | Left orient.
    `RIGHT` | Right orient.
    `TOP` | Top orient.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ITabbox.Orient` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ITabbox.Orient[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final ITabbox.Orient LEFT

      Left orient.

    - #### TOP

          public static final ITabbox.Orient TOP

      Top orient.

    - #### RIGHT

          public static final ITabbox.Orient RIGHT

      Right orient.

    - #### BOTTOM

          public static final ITabbox.Orient BOTTOM

      Bottom orient.

  - ### Method Detail

    - #### values

          public static ITabbox.Orient[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ITabbox.Orient c : ITabbox.Orient.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ITabbox.Orient valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null